
img .gallery{
  vertical-align: middle;
}

/* Расположите контейнер с изображением (необходимо расположить стрелки влево и вправо) */
.gallery_container {
  position: relative;
  width: 640px;
  margin: 0 auto;
}

/* Скрыть изображения по умолчанию */
.mySlides {
  display: none;
}

/* Добавление указателя при наведении указателя мыши на миниатюры изображений */
.cursor {
  cursor: pointer;
}

/* Вперед и назад кнопки */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 40%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Расположите кнопку "вперед" справа */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* При наведении курсора мыши добавьте черный цвет фона с небольшим прозрачным слоем */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.5);
}

/* Номер текста (1/3 и т.д.) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* Контейнер для текста изображения */
.caption-container {
  text-align: center;
  background-color: #770a10;
  padding: 2px 16px;
  color: white;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Шесть колонн бок о бок */
.column {
  float: left;
  width: 12.5%;
}

/* Добавьте эффект прозрачности для миниатюрных изображений */
.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}